package com.fireworksdk.bridge.constants

object FWVideoPlayerConstant {

  /**
   * When advanceToNext, player will play the next video,
   * When the current video finishes playing.
   * When loop, playing video will loop until user explicitly
   * swipes away
   * Default value is advanceToNext.
   */
  const val FW_VIDEO_COMPLETE_ACTION_LOOP = "loop"
  const val FW_VIDEO_COMPLETE_ACTION_ADVANCE_TO_NEXT = "advanceToNext"

  /**
   * launch video player in full bleed ( full screen ) mode or fit bleed mode
   */
  const val FW_PLAYER_STYLE_FULL = "full"
  const val FW_PLAYER_STYLE_FIT = "fit"

  /**
   * Ad label
   */
  const val FW_AD_BADGE_LABEL_AD = "ad"
  const val FW_AD_BADGE_LABEL_SPONSORED = "sponsored"

  /**
   * mute or default when open player
   */
  const val FW_PLAYER_LAUNCH_BEHAVIOR_DEFAULT = "default"
  const val FW_PLAYER_LAUNCH_BEHAVIOR_MUTE_ON_FIRST_LAUNCH = "muteOnFirstLaunch"
}
