package com.fireworksdk.bridge.flutter.platformviewfactory

import android.app.Activity
import android.content.Context
import com.fireworksdk.bridge.flutter.platformview.FWVideoFeedPlatformView
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

class FWVideoFeedFactory(
    private val activity: Activity,
    private val binaryMessenger : BinaryMessenger,
    private val fwSdkModuleChannel: MethodChannel?,
): PlatformViewFactory(StandardMessageCodec.INSTANCE) {

    override fun create(context: Context, viewId: Int, args: Any?): PlatformView {
        val creationParams = args as Map<String?, Any?>?
        return FWVideoFeedPlatformView(activity, viewId, creationParams, binaryMessenger, fwSdkModuleChannel)
    }
}