package com.fireworksdk.bridge.models

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class FWVideoPlayerConfigModel(
  var playerStyle: String? = null,
  var videoCompleteAction: String? = null,
  var showShareButton: Boolean? = null,
  var ctaButtonStyle: FWCtaButtonStyleModel? = null,
  var showMuteButton: Boolean? = null,
  var showPlaybackButton: Boolean? = null,
  var launchBehavior: String? = null,
) : Parcelable {

  @Parcelize
  data class FWCtaButtonStyleModel(
    var backgroundColor: String? = null,
    var fontSize: String? = null,
    var textColor: String? = null,
  ) : Parcelable
}
