//
//  RCTConvert+Shopping.swift
//  react-native-firework-sdk
//
//  Created by Jeff Zheng on 2021/12/31.
//

import Foundation

extension RCTConvert {
    static func buildProducts(_ rawProducts: [AnyObject]?) -> [Product]? {
        guard let rRawProducts = rawProducts else {
            return nil
        }
        
        var products = [Product]()
        for rawProduct in rRawProducts {
            let product = JsonHelper.fromDictionary(rawProduct as? [String : AnyObject], type: Product.self)
            if let rProduct = product {
                products.append(rProduct)
            }
        }
        return products
    }
}
