//
//  FireworkSdk+CTA.swift
//  react-native-firework-sdk
//
//  Created by Jeff Zheng on 2021/12/21.
//

import Foundation
import FireworkVideo

extension FireworkSDKModulePlugin: FireworkVideoCTADelegate {
    func handleCustomCTAClick(_ viewController: PlayerViewController, url: URL) -> Bool {
        channel.invokeMethod(FWEventName.CustomCTAClick.rawValue, arguments: ["url": url.absoluteString])

        return customCTAClickEnabled
    }
}
