//
//  ProductInfoViewConfiguration.swift
//  react-native-firework-sdk
//
//  Created by Jeff Zheng on 2021/12/30.
//

import Foundation

struct ProductInfoViewConfiguration: Codable {
    var cartIcon: CartIconConfiguration?
    var addToCartButton: ButtonConfiguration?
    
    
    struct CartIconConfiguration: Codable {
        var isHidden: Bool? = false
    }
    struct ButtonConfiguration: Codable {
        var backgroundColor: String?
        var textColor: String?
        var fontSize: Int?
    }
    
}
