//
//  View+ParentViewController.swift
//  react-native-firework-sdk
//
//  Created by Jeff Zheng on 2021/12/22.
//

import UIKit

extension UIView {
    var parentViewController: UIViewController? {
        var parentResponder: UIResponder? = self
        while parentResponder != nil {
            parentResponder = parentResponder!.next
            if let viewController = parentResponder as? UIViewController {
                return viewController
            }
        }
        return nil
    }
}
