package com.fireworksdk.bridge.flutter.models

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize


@Parcelize
data class FWErrorModel(
    val error: FWErrorDetailModel?,
) : Parcelable {

    @Parcelize
    data class FWErrorDetailModel(
        val name: String?,
        val reason: String?,
    ) : Parcelable
}