package com.fireworksdk.bridge.models

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class FWVideoFeedConfigModel(
  var backgroundColor: String? = null,
  var cornerRadius: Int? = null,
  var title: FWTitleModel? = null,
  var titlePosition: String? = null,
  var playIcon: FWPlayIconModel? = null,
  var showAdBadge: Boolean? = null,
  var customLayoutName: String? = null
) : Parcelable {

  @Parcelize
  data class FWTitleModel(
    var hidden: Boolean? = null,
    var textColor: String? = null,
    var fontSize: Int? = null,
  ) : Parcelable

  @Parcelize
  data class FWPlayIconModel(
    var hidden: Boolean? = null,
    var iconWidth: Int? = null,
  ) : Parcelable
}
