package com.fireworksdk.bridge.models

import android.os.Parcelable
import com.fireworksdk.bridge.models.FWVideoFeedConfigModel
import com.fireworksdk.bridge.models.FWVideoPlayerConfigModel
import kotlinx.android.parcel.Parcelize


@Parcelize
data class FWVideoFeedPropsModel(
    var source: String? = null,
    var channel: String? = null,
    var playlist: String? = null,
    var playlistGroup: String? = null,
    var mode: String? = null,
    var videoFeedConfiguration: FWVideoFeedConfigModel? = null,
    var videoPlayerConfiguration: FWVideoPlayerConfigModel? = null,
    var dynamicContentParameters: HashMap<String, List<String>>? = null,
) : Parcelable
