package com.fireworksdk.bridge.models

import android.os.Parcelable
import com.fasterxml.jackson.annotation.JsonProperty
import kotlinx.android.parcel.Parcelize

@Parcelize
data class FWVideoPlaybackDetails(
  val autoplay: Boolean?,
  val badge: String?,
  val caption: String?,
  val duration: Long?,
  @field:JsonProperty("has_cta")
  val hasCta: Boolean?,
  val height: Int?,
  val width: Int?,
  @field:JsonProperty("video_id")
  val videoId: String?
) : Parcelable
