//
//  FlutterToNativeMethodName.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/3/8.
//

import Foundation

enum FWSDKModuleMethodName: String {
    case `init`
    case openVideoPlayer
    case setCustomCTAClickEnabled
    case setVideoPlaybackEventEnabled
    case setShareBaseURL
    case setAdBadgeConfiguration
}

enum FWShoppingModuleMethodName: String {
    case `init`, setCartIconVisible, setCartItemCount
}

enum FWLiveStreamMethodName: String {
    case `init`
    
}

enum FWVideoFeedMethodName: String {
    case setVideoFeedConfiguration, setVideoPlayerConfiguration, refresh
}

enum FWNavigatorModuleMethodName: String {
    case pushNativeContainer, popNativeContainer
}
