enum AdBadgeTextType {
  ad,
  sponsored,
}

class AdBadgeConfiguration {
  /// The text type of the ad badge.
  AdBadgeTextType? badgeTextType;

  ///  The background color of the ad badge. Only supported on iOS.
  String? backgroundColor;

  /// The color of the ad badge text. Only supported on iOS.
  String? textColor;

  AdBadgeConfiguration({
    this.badgeTextType,
    this.backgroundColor,
    this.textColor,
  });
}
