import 'package:flutter/services.dart';

const MethodChannel _firewokSDKMethodChannel =
    MethodChannel("fw.fondor.channel/firework_sdk_module");
const MethodChannel _shoppingChannel =
    MethodChannel("fw.fondor.channel/shopping_module");
const MethodChannel _eventBusMethodChannel =
    MethodChannel("fw.fondor.channel/fw_flutter_sdk");
const MethodChannel _liveStreamMethodChannel =
    MethodChannel("fw.fondor.channel/live_stream_module");
const MethodChannel _navigatorMethodChannel =
    MethodChannel("fw.fondor.channel/fw_navigator_module");

class FWMethodChannelUtil {
  static MethodChannel getFirewokSDKChannel() => _firewokSDKMethodChannel;
  static MethodChannel getShoppingChannel() => _shoppingChannel;
  static MethodChannel getVideoFeedChannel(int viewId) =>
      MethodChannel("fw.fondor.channel/video_feed_$viewId");
  static MethodChannel getEventBusMethodChannel() => _eventBusMethodChannel;
  static MethodChannel getLiveStreamMethodChannel() => _liveStreamMethodChannel;
  static MethodChannel getNavigatorMethodChannel() => _navigatorMethodChannel;
}
