import '../../models/add_to_cart_result.dart';

class AddToCartResultUtil {
  static String _convertToRawAddToCartResponse(AddToCartResponse source) {
    String rawRes = "";
    switch (source) {
      case AddToCartResponse.success:
        rawRes = "success";
        break;
      case AddToCartResponse.fail:
        rawRes = "fail";
        break;
    }
    return rawRes;
  }

  static Map<String, dynamic> toJson(AddToCartResult result) {
    return {
      "res": _convertToRawAddToCartResponse(result.res),
      "tips": result.tips,
    };
  }
}
