import '../../models/fw_error.dart';

class FWErrorUtil {
  static FWError? fromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      String name = "";
      String? reason;
      if (json["name"] is String) {
        name = json["name"] as String;
      }

      if (json["reason"] is String) {
        reason = json["reason"] as String;
      }

      return FWError(
        name: name,
        reason: reason,
      );
    } else {
      return null;
    }
  }
}
