import '../../models/product_info_view_configuration.dart';

class ProductInfoViewConfigurationUtil {
  static Map<String, dynamic> _convertAddToCartButtonToJson(
      AddToCartButtonConfiguration config) {
    Map<String, dynamic> json = {};
    if (config.backgroundColor != null) {
      json["backgroundColor"] = config.backgroundColor;
    }

    if (config.textColor != null) {
      json["textColor"] = config.textColor;
    }

    if (config.fontSize != null) {
      json["fontSize"] = config.fontSize!.toDouble();
    }
    return json;
  }

  static Map<String, dynamic> toJson(ProductInfoViewConfiguration config) {
    Map<String, dynamic> json = {};

    if (config.addToCartButton != null) {
      json["addToCartButton"] =
          _convertAddToCartButtonToJson(config.addToCartButton!);
    }

    return json;
  }
}
